%global momorel 1
%global prever 2
%global betaver 5
%global qtver 4.5.2
%global qt3ver 3.3.7
%global kdever 4.3.1
%global kde3ver 3.5.9
%global kdelibsrel 1m
%global kdelibs3rel 8m
%global kdeedurel 1m
%global kdegraphicsrel 1m
%global kdesdkrel 1m
%global qtdir %{_libdir}/qt4
%global qt3dir %{_libdir}/qt3
%global kdedir /usr
%global docname %{name}-doc
%global docver 0.9.5

Summary: GPhoto2 KDE4 frontend
Name: digikam
Version: 1.0.0
Release: 0.%{prever}.%{momorel}m%{?dist}
License: GPLv2 and LGPLv2 and GFDL
URL: http://www.digikam.org/
Group: Applications/Multimedia
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}-beta%{betaver}.tar.bz2
NoSource: 0
Source1: http://dl.sourceforge.net/sourceforge/%{name}/%{docname}-%{docver}.tar.bz2
NoSource: 1
Patch0: %{docname}-%{docver}-automake111.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: kdeedu-marble >= %{kdever}-%{kdeedurel}
Requires: kdegraphics-libs >= %{kdever}-%{kdegraphicsrel}
Requires: ImageMagick >= 6.3.2-5m
Requires: gphoto2
Requires: kipi-plugins
Requires: mjpegtools >= 1.6.0
Requires: oxygen-icon-theme
Requires: oxygen-icon-theme-scalable
Requires: sqlite
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: qt3-devel >= %{qt3ver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: kdelibs3-devel >= %{kde3ver}-%{kdelibs3rel}
BuildPreReq: kdeedu-devel >= %{kdever}-%{kdeedurel}
BuildPreReq: kdegraphics-devel >= %{kdever}-%{kdegraphicsrel}
BuildPreReq: kdesdk-devel >= %{kdever}-%{kdesdkrel}
BuildPreReq: autoconf
BuildPreReq: automake
BuildPreReq: cmake
BuildPreReq: gphoto2 >= 2.2.0
BuildPreReq: exiv2-devel >= 0.18
BuildPreReq: gdbm-devel >= 1.8.3-7m
BuildPreReq: jasper-devel
BuildPreReq: lcms-devel >= 1.15-4m
BuildPreReq: lensfun-devel
BuildPreReq: libart_lgpl-devel
BuildPreReq: libgphoto2-devel >= 2.2.1-4m
BuildPreReq: libjpeg-devel
BuildPreReq: liblqr-1-devel
BuildPreReq: libpng-devel
BuildPreReq: libtiff-devel >= 3.5.0
BuildPreReq: libtool
BuildPreReq: sed
BuildPreReq: sqlite-devel >= 3.3.11-2m
BuildPreReq: zlib-devel
Obsoletes: digikamimageplugins

%description
Digikam is a fine KDE interface for gphoto2.
Designed to be a standalone application to preview and download images
from a digital camera on a linux machine.

%package devel
Summary: Header files and static libraries from digikam
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Libraries and includes files for developing programs based on digikam.

%package doc
Summary: Documentation for digikam
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}

%description doc
Documentation for digikam.

%prep
# clean up digikam-doc
rm -rf %{_builddir}/%{docname}-%{docver}

%setup -q -n %{name}-%{version}-beta%{betaver} -b 1

# build fix (digikam-doc 0.9.5)
cd %{_builddir}/%{docname}-%{docver}
# for new automake
%patch0 -p1 -b .automake111
make -f admin/Makefile.common cvs

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

# build digikam-doc
cd %{_builddir}/%{docname}-%{docver}

QTDIR=%{qt3dir} KDEDIR=%{kdedir} QTLIB=%{qt3dir}/lib \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qt3dir}/lib \
	--disable-rpath

make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# install digikam-doc
cd %{_builddir}/%{docname}-%{docver}
make install DESTDIR=%{buildroot}

# link icons
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/oxygen/48x48/apps/digikam.png %{buildroot}%{_datadir}/pixmaps/digikam.png
ln -s ../icons/oxygen/48x48/apps/showfoto.png %{buildroot}%{_datadir}/pixmaps/showfoto.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog INSTALL NEWS README TODO tips
%{_kde4_bindir}/cleanup_digikamdb
%{_kde4_bindir}/digikam
%{_kde4_bindir}/digitaglinktree
%{_kde4_bindir}/showfoto
%{_kde4_libdir}/kde4/plugins/marble/ExternalDraw.so
%{_kde4_libdir}/kde4/*.so
%{_kde4_libdir}/libdigikam*.so.*
%{_kde4_datadir}/applications/kde4/*.desktop
%{_kde4_appsdir}/digikam
%{_kde4_appsdir}/showfoto
%{_kde4_appsdir}/solid/actions/digikam-opencamera.desktop
%{_kde4_iconsdir}/hicolor/*/apps/*.png
%{_kde4_iconsdir}/hicolor/*/apps/*.svgz
%{_kde4_datadir}/kde4/services/digikam*.desktop
%{_kde4_datadir}/kde4/services/digikam*.protocol
%{_kde4_datadir}/kde4/servicetypes/digikamimageplugin.desktop
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_mandir}/man1/cleanup_digikamdb.1*
%{_mandir}/man1/digitaglinktree.1*
%{_datadir}/pixmaps/digikam.png
%{_datadir}/pixmaps/showfoto.png

%files devel
%defattr(-, root, root)
%doc DESIGN HACKING
%{_kde4_includedir}/digikam
%{_kde4_includedir}/digikam_export.h
%{_kde4_libdir}/libdigikam*.so

%files doc
%defattr(-, root, root)
%doc COPYING.DOC
%{_datadir}/doc/HTML/*/digikam
%{_datadir}/doc/HTML/*/showfoto

%changelog
* Wed Oct  7 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.0-0.2.1m)
- update to 1.0.0-beta5

- * Sun Sep 13 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- - (1.0.0-0.1.2m)
- - rebuild against libjpeg-7

* Sun Sep 13 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.0-0.1.1m)
- update to version 1.0.0-beta4

* Fri Jun 12 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10.0-3m)
- rebuild against KDE 4.2.90

* Tue May 19 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10.0-2m)
- fix build with new automake

* Wed Mar 18 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10.0-1m)
- version 0.10.0

* Sat Mar  7 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10.0-0.10.2m)
- remove showfoto.png to avoid conflicting with oxygen-icon-theme-4.2.1
- remove showfoto.svgz to avoid conflicting with oxygen-icon-theme-scalable-4.2.1

* Mon Feb 16 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10.0-0.10.1m)
- update to 0.10.0-rc2

* Tue Jan 27 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10.0-0.9.1m)
- update to 0.10.0-rc1
- update digikam-doc to 0.9.5

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.10.0-0.8.3m)
- rebuild against rpm-4.6

* Sun Jan 18 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10.0-0.8.2m)
- rebuild against KDE 4.2 RC

* Fri Jan  9 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10.0-0.8.1m)
- update to 0.10.0-beta8

* Wed Dec 31 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10.0-0.7.3m)
- version 0.10.0-beta7 dive into the trunk
- build with new kdegraphics
- change Requires: from kipi-plugins4 to kipi-plugins
- remove override-pkgconfig.patch

- * Wed Dec 31 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- - (0.10.0-0.7.2m)
- - build with lensfun

- * Sat Dec 20 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- - (0.10.0-0.7.1m)
- - update to 0.10.0-beta7

* Mon Dec 15 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.5-0.2.1m)
- update to 0.9.5-beta2

- * Sat Nov 29 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- - (0.10.0-0.6.1m)
- - update to 0.10.0-beta6
- - update override-pkgconfig.patch and %%build section

* Thu Nov 13 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.5-0.1.1m)
- update to version 0.9.5-beta1
- remove merged libkdcraw016.patch

- * Sun Nov  2 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- - (0.10.0-0.5.1m)
- - update to 0.10.0-beta5

* Mon Oct 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.4-2m)
- rebuild against libkdcraw-0.1.6

- * Wed Oct 22 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- - (0.10.0-0.4.1m)
- - update to 0.10.0-beta4
- - override pkgconfig to find libkdcraw

- * Fri Sep  5 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- - (0.10.0-0.3.1m)
- - update to 0.10.0-beta3
- - remove merged mandir.patch

- * Sat Aug  2 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- - (0.10.0-0.2.1m)
- - update to 0.10.0-beta2

* Thu Jul 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.4-1m)
- version 0.9.4

- * Tue Jul  8 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- - (0.10.0-0.1.1m)
- - update to 0.10.0-beta1
- - add a package devel

* Tue Jul  8 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.4-0.6.1m)
- update to 0.9.4-rc2

* Wed Jun 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.4-0.5.1m)
- update to 0.9.4-rc1
- remove optflags modify section, -O2 is working with gcc-4.3.1-2m now

* Mon May 26 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.4-0.4.1m)
- update to 0.9.4-beta5
- use -O1 instead of -O2 to avoid hanging up of cc1plus

* Sun May 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.4-0.3.4m)
- revise %%{_docdir}/HTML/*/digikam/common

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.4-0.3.3m)
- rebuild against qt3

* Wed May  7 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.4-0.3.2m)
- use -O0 on x86_64 too 

* Wed May  7 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.4-0.3.1m)
- update to 0.9.4-beta4
- use -O0 instead of -O2 on i686 to avoid hanging up of cc1plus

* Fri Apr 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.4-0.2.1m)
- update to 0.9.4-beta3
- update digikam-doc to 0.9.4

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.4-0.1.2m)
- rebuild against gcc43

* Mon Mar 24 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.4-0.1.1m)
- update to version 0.9.4-beta2
- remove merged 142055.digikam.kde3.patch

* Mon Mar 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.3-6m)
- rebuild against libkdcraw-devel-0.1.4
- import 142055.digikam.kde3.patch from cooker
 +* Sat Mar 01 2008 Angelo Naselli <anaselli@mandriva.org> 0.9.3-4mdv2008.1
 +- Added a patch to build against new libkdcraw 0.1.4 provided by Gilles Caulier

* Sat Mar  1 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.3-5m)
- move headers to %%{_includedir}/kde

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.3-4m)
- specify KDE3 headers and libs
- modify Requires and BuildRequires

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.3-3m)
- %%NoSource -> NoSource

* Thu Jan 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.3-2m)
- update digikam-doc to 0.9.3 official release

* Sun Dec 23 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.3-1m)
- version 0.9.3

* Wed Dec 19 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.3-0.4.1m)
- update to 0.9.3-rc1 (tar-ball was changed at Wed Dec 19)

* Sun Dec  2 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.3-0.3.1m)
- update digikam and digikam-doc to 0.9.3-beta3

* Sat Nov  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.3-0.2.1m)
- update to 0.9.3-beta2

* Fri Oct 12 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.3-0.1.1m)
- update to version 0.9.3-beta1

* Tue Sep 18 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.2-6m)
- rebuild against libkexiv2-1.1.6 and libkdcraw-1.1.2
- License: GPLv2 and GFDL

* Mon Jul  9 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.2-5m)
- remove duplicate BPR

* Thu Jul  5 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.2-4m)
- add BuildPreReq: libkdcraw-devel >= 0.1.1

* Fri Jun 22 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.2-3m)
- replace tar-ball (from 0.9.2-final to 0.9.2)

* Thu Jun 21 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.2-2m)
- split digikam-doc

* Thu Jun 21 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.2-1m)
- version 0.9.2
- update digikam-doc to version 0.9.2-beta2
- DigikamImagePlugins have been merged into digiKam
- remove digi_libkexiv2.patch

* Sun May 13 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.1-5m)
- rebuild against libkexiv2-0.1.5

* Fri Apr 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.1-4m)
- rebuild against exiv2-0.14 and libkexiv2-0.1.2-2m
- import libkexiv2 patch from cooker

* Thu Mar 29 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.1-3m)
- update digikam-doc to 0.9.1

* Wed Mar 28 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.1-2m)
- clean up spec file

* Mon Mar  5 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.1-1m)
- version 0.9.1

* Thu Mar  1 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.1-0.3.1m)
- update to 0.9.1-rc2

* Tue Feb 20 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.1-0.2.1m)
- update to 0.9.1-rc1

* Wed Feb 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.1-0.1.1m)
- update to version 0.9.1-beta1

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.0-2m)
- rebuild against libkipi etc.

* Tue Dec 19 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.0-1m)
- version 0.9.0

* Fri Dec  8 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.0-0.2.1m)
- update to 0.9.0-rc2

* Thu Nov 30 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.0-0.1.2m)
- rebuild against exiv2-0.12

* Wed Nov 22 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.0-0.1.1m)
- update to version 0.9.0-rc1

* Fri Aug 25 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.2-4m)
- update digikam-doc to 0.8.2-r1

* Wed Aug 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.2-3m)
- rebuild against kdelibs-3.5.4-2m
- rebuild against libkexif-0.2.4-2m
- rebuild against libkipi-0.1.4-2m

* Thu Jul 20 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.2-2m)
- update digikam-doc to 0.8.2

* Wed Jul 19 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.2-1m)
- version 0.8.2

* Sat Jun 24 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.8.2-0.1.3m)
- depend sqlite3 -> sqlite

* Sat Jun 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.2-0.1.2m)
- fix symlinks

* Fri May 12 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.2-0.1.1m)
- update to version 0.8.2 rc1

* Wed Mar 29 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.1-3m)
- revise %%files for KDE 3.5.2

* Sat Feb  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.1-2m)
- add --enable-new-ldflags to configure

* Sat Jan 21 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.1-1m)
- version 0.8.1
- remove merged gcc41.patch

* Sat Dec 24 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.0-3m)
- add gcc-4.1 patch
-- Patch0: digikam-0.8.0-gcc41.patch

* Sat Dec  3 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.0-2m)
- rebuild against libexif-0.6.12-1m

* Sat Nov 26 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.0-1m)
- version 0.8.0
- BuildPreReq: sqlite3-devel
- Requires: sqlite3

* Tue Nov 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.4-3m)
- rebuild against KDE 3.5 RC1

* Thu Sep 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.4-2m)
- add --disable-rpath to configure

* Fri Aug 19 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.4-1m)
- version 0.7.4

* Mon Jul 11 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.3-1m)
- initial package for Momonga Linux
- import Summary and %%description from cooker
